Xfce Display Manager startet nicht, Seitenverhältnis nicht korrekt (links und rechts schwarze Balken)


#1

Hallo Leute,
der Display Manager startet nicht und deshalb wird die Auflösung nicht korrekt angezeigt (links und rechts habe ich schwarze Balken).

Ich habe versucht den Display Manager über das Terminal zu starten.
Mit dem Befehl:
sudo xfce4-display-settings

Als Ergebnis habe ich die folgende Ausgabe bekommen:

(xfce4-display-settings:1326): xfce4-display-settings-ERROR **:
11:27:11.593: Failed to connect to xfconf daemon: Fehler beim Erzeugen
der Befehlszeile »dbus-launch
–autolaunch=283db53ce5dc46efb0d6b28739d03dc5 --binary-syntax
–close-stderr«: Der Kindprozess wurde mit Status 1 beendet.
Trace/Breakpoint ausgelöst

Es handelt sich bei meinem Gerät um ein Notebook Medion Akoya E7216
Specs:
Prozessor: Intel Core i3-380M
Grafikkarte: Intel Graphics Media Accelerator (GMA) HD Graphics
Bildschirm: 17.3 Zoll , 1600 x 900 Pixel

Nach der Installation wurde die Auflösung korrekt angezeigt, nur nach ein paar Tagen und vielen Updates später, war das dann nicht mehr der Fall. Anfangs klappte es den Rechner einfach neuzustarten, nur dies klappt nun auch nicht mehr.

Viele Grüße,
Thomas90

PS: Das kopieren von /etc/xdg/xfce4/xinitrc nach $HOME/.xinitrc aus Topic " "Display" Settings startet nicht " klappte nicht.


#2

Die Ausgabe im Terminal wäre interessant oder wie du versuchst hast zu kopieren.


#3

Ich habe mit dem folgenden Befehl die Datei kopiert:
sudo cp /etc/xdg/xfce4/xinitrc $HOME/.xinitrc

Es wurde keine Fehlermeldung ausgegeben.

Ich habe den Rechner neu gestartet, aber die Anzeige blieb unverändert.


#4

Das hat hat funktioniert, was steht denn in der .xinitrc?
Kann diese gerade nicht öffnen da nicht am PC.

#!/bin/bash
#
# ~/.xinitrc
#
# Executed by startx (run your window manager from here)

userresources=$HOME/.Xresources
usermodmap=$HOME/.Xmodmap
sysresources=/etc/X11/xinit/.Xresources
sysmodmap=/etc/X11/xinit/.Xmodmap

SESSION=${1:-xfce}

# merge in defaults and keymaps

if [ -f $sysresources ]; then
    xrdb -merge $sysresources
fi

if [ -f $sysmodmap ]; then
    xmodmap $sysmodmap
fi

if [ -f "$userresources" ]; then
    xrdb -merge "$userresources"
fi

if [ -f "$usermodmap" ]; then
    xmodmap "$usermodmap"
fi

# start some nice programs

if [ -d /etc/X11/xinit/xinitrc.d ] ; then
    for f in /etc/X11/xinit/xinitrc.d/?*.sh ; do
        [ -x "$f" ] && . "$f"
    done
    unset f
fi

get_session(){
	local dbus_args=(--sh-syntax --exit-with-session)
	case "$SESSION" in
		awesome) dbus_args+=(awesome) ;;
		bspwm) dbus_args+=(bspwm-session) ;;
		budgie) dbus_args+=(budgie-desktop) ;;
		cinnamon) dbus_args+=(cinnamon-session) ;;
		deepin) dbus_args+=(startdde) ;;
		enlightenment) dbus_args+=(enlightenment_start) ;;
		fluxbox) dbus_args+=(startfluxbox) ;;
		gnome) dbus_args+=(gnome-session) ;;
		i3|i3wm) dbus_args+=(i3 --shmlog-size 0) ;;
		jwm) dbus_args+=(jwm) ;;
		kde) dbus_args+=(startkde) ;;
		lxde) dbus_args+=(startlxde) ;;
		lxqt) dbus_args+=(lxqt-session) ;;
		mate) dbus_args+=(mate-session) ;;
		xfce) dbus_args+=(xfce4-session) ;;
		openbox) dbus_args+=(openbox-session) ;;
		*) dbus_args+=("$SESSION") ;;
	esac

	echo "dbus-launch ${dbus_args[*]}"
}

exec $(get_session)

Wichtig sind also auch

$HOME/.Xresources
$HOME/.Xmodmap

Zum starten beim booten z.B.

  sudo systemctl enable lightdm

Im Terminal z.B.

sudo systemctl start lightdm

https://wiki.manjaro.org/index.php/Install_Display_Managers

Zu guter letzt

https://wiki.archlinux.de/title/Login-Manager


#5

Der Inhalt meiner Datei weicht etwas von deiner Datei ab.
Seltsamerweise wird nach einem Start des Rechners, um deine Anmerkungen zu prüfen, die Anzeigeeinstellungen wieder korrekt geöffnet und die Display Anzeige hat auch das richtige Format.

Im meiner Datei wird ein Fehler angezeigt: “A crash occured in the panel”
Könnte das ein Anhaltspunkt sein, warum die Anzeige nicht immer gestartet werden kann?

Was muss ich tun, damit der Fehler dauerhaft verschwindet?

Denn ich vermute das nach ein paar Mal neustarten es durchaus sein kann, dass erneut ein Fehler auftritt und das Seitenverhältnis wieder nicht stimmt.

#!/bin/sh

# fix broken $UID on some system...
if test "x$UID" = "x"; then
  if test -x /usr/xpg4/bin/id; then
    UID=`/usr/xpg4/bin/id -u`;
  else
    UID=`id -u`;
  fi
fi

# set $XDG_MENU_PREFIX to "xfce-" so that "xfce-applications.menu" is picked
# over "applications.menu" in all Xfce applications.
if test "x$XDG_MENU_PREFIX" = "x"; then
  XDG_MENU_PREFIX="xfce-"
  export XDG_MENU_PREFIX
fi

# set DESKTOP_SESSION so that one can detect easily if an Xfce session is running
if test "x$DESKTOP_SESSION" = "x"; then
  DESKTOP_SESSION="xfce"
  export DESKTOP_SESSION
fi

# set XDG_CURRENT_DESKTOP so that Qt 5 applications can identify user set Xfce theme
if test "x$XDG_CURRENT_DESKTOP" = "x"; then
  XDG_CURRENT_DESKTOP="XFCE"
  export XDG_CURRENT_DESKTOP
fi

# $XDG_CONFIG_HOME defines the base directory relative to which user specific
# configuration files should be stored. If $XDG_CONFIG_HOME is either not set
# or empty, a default equal to $HOME/.config should be used.
if test "x$XDG_CONFIG_HOME" = "x" ; then
  XDG_CONFIG_HOME=$HOME/.config
fi
[ -d "$XDG_CONFIG_HOME" ] || mkdir "$XDG_CONFIG_HOME"

# $XDG_CACHE_HOME defines the base directory relative to which user specific
# non-essential data files should be stored. If $XDG_CACHE_HOME is either not
# set or empty, a default equal to $HOME/.cache should be used.
if test "x$XDG_CACHE_HOME" = "x" ; then
  XDG_CACHE_HOME=$HOME/.cache
fi
[ -d "$XDG_CACHE_HOME" ] || mkdir "$XDG_CACHE_HOME"

# set up XDG user directores.  see
# http://freedesktop.org/wiki/Software/xdg-user-dirs
if which xdg-user-dirs-update >/dev/null 2>&1; then
    xdg-user-dirs-update
fi

# For now, start with an empty list
XRESOURCES=""

# Has to go prior to merging Xft.xrdb, as its the "Defaults" file
test -r "/etc/xdg/xfce4/Xft.xrdb" && XRESOURCES="$XRESOURCES /etc/xdg/xfce4/Xft.xrdb"
test -r $HOME/.Xdefaults && XRESOURCES="$XRESOURCES $HOME/.Xdefaults"

BASEDIR=$XDG_CONFIG_HOME/xfce4
if test -r "$BASEDIR/Xft.xrdb"; then
  XRESOURCES="$XRESOURCES $BASEDIR/Xft.xrdb"
elif test -r "$XFCE4HOME/Xft.xrdb"; then
  mkdir -p "$BASEDIR"
  cp "$XFCE4HOME/Xft.xrdb" "$BASEDIR"/
  XRESOURCES="$XRESOURCES $BASEDIR/Xft.xrdb"
fi

# merge in X cursor settings
test -r "$BASEDIR/Xcursor.xrdb" && XRESOURCES="$XRESOURCES $BASEDIR/Xcursor.xrdb"

# ~/.Xresources contains overrides to the above
test -r "$HOME/.Xresources" && XRESOURCES="$XRESOURCES $HOME/.Xresources"

# load all X resources (adds /dev/null to avoid an empty list that would hang the process)
cat /dev/null $XRESOURCES | xrdb -merge -

# load local modmap
test -r $HOME/.Xmodmap && xmodmap $HOME/.Xmodmap

# run xfce4-session if installed
if which xfce4-session >/dev/null 2>&1; then

  # check if we start xfce4-session with ck-launch-session. this is only
  # required for starting from a console, not a login manager
  if test "x$XFCE4_SESSION_WITH_CK" = "x1"; then
    if which ck-launch-session >/dev/null 2>&1; then
      ck-launch-session xfce4-session
    else
      echo
      echo "You have tried to start Xfce with consolekit support, but"
      echo "ck-launch-session is not installed."
      echo "Aborted startup..."
      echo

      exit 1
    fi
  else
    # start xfce4-session normally
    xfce4-session
  fi

  exit 0
fi

##################
# IMPORTANT NOTE #
##################

# Everything below here ONLY gets executed if you are NOT using xfce4-session
# (Xfce's session manager).  If you are using the session manager, everything
# below is handled by it, and the code below is not executed at all.  If you're
# not sure if you're using the session manager, type 'ps -e|grep xfce4-session'
# in a terminal while Xfce is running.

##################

# Use dbus-launch if installed.
if test x"$DBUS_SESSION_BUS_ADDRESS" = x""; then
  if which dbus-launch >/dev/null 2>&1; then
    eval `dbus-launch --sh-syntax --exit-with-session`
    # some older versions of dbus don't export the var properly
    export DBUS_SESSION_BUS_ADDRESS
  else
    echo "Could not find dbus-launch; Xfce will not work properly" >&2
  fi
else
  if which dbus-update-activation-environment >/dev/null 2>&1; then
    dbus-update-activation-environment --systemd --all
  else
    echo "Could not find dbus-update-activation-environment; Xfce will not work properly" >&2
  fi
fi

# this is only necessary when running w/o xfce4-session
xsetroot -solid black -cursor_name watch

# or use old-fashioned startup script otherwise

xfsettingsd &
xfwm4 --daemon

# start up stuff in $XDG_CONFIG_HOME/autostart/
if test -d "$XDG_CONFIG_HOME/autostart"; then
  for i in ${XDG_CONFIG_HOME}/autostart/*.desktop; do
    grep -q -E "^Hidden=true" "$i" && continue
    if grep -q -E "^OnlyShowIn=" "$i"; then
      # need to test twice, as lack of the line entirely means we still run it
      grep -E "^OnlyShowIn=" "$i" | grep -q 'XFCE;' || continue
    fi
    grep -E "^NotShowIn=" "$i" | grep -q 'XFCE;' && continue

    # check for TryExec
    trycmd=`grep -E "^TryExec=" "$i" | cut -d'=' -f2`
    if test "$trycmd"; then
      which "$trycmd" >/dev/null 2>&1 || continue
    fi

    cmd=`grep -E "^Exec=" "$i" | cut -d'=' -f2`
    if test "$cmd" && which "$cmd" >/dev/null 2>&1; then
      $cmd &
    fi
  done
fi

xfdesktop&
orage &

panel=`which xfce4-panel`
case "x$panel" in
	x|xno*)
		;;
	*)
		$panel
		ret=$?
		while test $ret -ne 0; do
			xmessage -center -file - -timeout 20 -title Error <<EOF
A crash occured in the panel
Please report this to the xfce4-dev@xfce.org list
or on http://bugs.xfce.org
Meanwhile the panel will be restarted
EOF
			cat >&2 <<EOF
A crash occured in the panel
Please report this to the xfce4-dev@xfce.org list
or on http://bugs.xfce.org
Meanwhile the panel will be restarted
EOF
			$panel
			ret=$?
		done
		;;
esac

xsetroot -bg white -fg red  -solid black -cursor_name watch


#6

Vermuten bringt nichts :wink:
Abwarten und bewahre eine Kopie der funktionierenden Daten auf :slight_smile:


#7

Der Fehler deutet für mich darauf hin, dass der xfconf daemon nicht gelaufen ist. xfconfd ist der daemon (d.h. eine Art Hintergrundprogramm), der die abgespeicherten Konfigurationsdateien für Xfce verwaltet. xfce4-display-manager ist auf ihn angewiesen. xfconfd wird durch Xfsettingsd gestartet und der wird normalerweise beim Sessionstart von Xfce gestartet. Ich tippe also darauf, dass warum auch immer, xfconfd beendet oder nicht gestartet wurde und nach dem Neustart eben wieder neu gestartet wurde. wenn der Fehler nochmals auftritt poste bitte die Ausgabe von ps ax | grep xfconfd.